<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<p-toast *ngIf="(exitCode$ | async) == null" [preventOpenDuplicates]="true"></p-toast>

<app-nav-frame
  (appCloseWindow)="closeWindow()"
  (appRouting)="navigateToPreviousPage()"
  (appLogout)="logOut()"
  [appCurrentUrl]="router.url"
  [appExitCode]="exitCode$ | async"
  [appIsLoading]="isLoading$ | async"
  [appMenuHidden]="(isLoggedIn$ | async) !== true"
  [appPortalRoute]="appPortalRoute"
  [appUserName]="userName$ | async"
  [appUserRoles]="userRoles$ | async"
  [appVersion]="version$ | async">

  <ng-content></ng-content>

</app-nav-frame>
